### Name: predict.train
### Title: Extract predictions and class probabilities from train objects
### Aliases: predict.list predict.train extractPrediction extractProb
### Keywords: manip

### ** Examples

   ## Not run: 
##D library(mlbench)
##D data(Satellite)
##D numSamples <- dim(Satellite)[1]
##D set.seed(716)
##D 
##D varIndex <- 1:numSamples
##D 
##D trainSamples <- sample(varIndex, 150)
##D 
##D varIndex <- (1:numSamples)[-trainSamples]
##D testSamples <- sample(varIndex, 100)
##D 
##D varIndex <- (1:numSamples)[-c(testSamples, trainSamples)]
##D unkSamples <- sample(varIndex, 50)
##D 
##D trainX <- Satellite[trainSamples, -37]
##D trainY <- Satellite[trainSamples, 37]
##D 
##D testX <- Satellite[testSamples, -37]
##D testY <- Satellite[testSamples, 37]
##D 
##D unkX <- Satellite[unkSamples, -37]
##D 
##D knnFit <- train(trainX, trainY, "knn")
##D rpartFit <- train(trainX, trainY, "rpart")
##D 
##D predict(knnFit)
##D predict(knnFit, newdata = testX)
##D predict(knnFit, type = "prob")
##D 
##D bothModels <- list(
##D                    knn = knnFit,
##D                    tree = rpartFit)
##D 
##D predict(bothModels)
##D 
##D predTargets <- extractPrediction(
##D                                  bothModels,
##D                                  testX = testX,
##D                                  testY = testY,
##D                                  unkX = unkX)
##D    
##D   
## End(Not run)



